Late 2012 Mac Photoshop Elements 2021

New Here ,
Dec 14, 2020 Dec 14, 2020

Copy link to clipboard

Copied

I recently purchased Elements  2021 but it won't install on my iMac which is late 2012. Reading compatibility it seems it requires Intel Gen 6 or later. I have no idea which chip I have but sounds like this could be the problem. The issue is there's no help at Adobe or retailer and the product is unuseable. Nor does it say anywhere that Elements 2021 wont work on older macs.

Slightly frustrated that i have wasted a considerable amount of money and received no after sales service or support

TOPICS
Mac

Views

97

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Dec 24, 2020 Dec 24, 2020

Copy link to clipboard

Copied

Best to post on the Photoshop Elements forum – this is the Photoshop forum.
https://community.adobe.com/t5/photoshop-elements/bd-p/photoshop-elements?page=1&sort=latest_replies...

 

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Feb 06, 2021 Feb 06, 2021

Copy link to clipboard

Copied

If you click on the mac apple and go to "About this Mac" it will show you your mac processor, should be an I5 or higher with 8GB of ram to run elements 2021. I have a macmini 2014 with an I5 processor and 8gb, but decided elements 2021 would drag on it, so I uploaded a trail version of elements 2020 and it runs great. Elements 2020 doesn't require as much ram and space as 2021 version

Likes

translate

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines